Name:           buttermanager
Version:        1.9
Release:        1%{?dist}
Summary:        Tool for managing Btrfs snapshots, balancing filesystems and more

License:        GPLv3
URL:            https://github.com/egara/buttermanager
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

# Generate entrypoint properly
# From: https://github.com/egara/buttermanager/pull/19
Patch0001:      0001-Generate-a-proper-entry-point-using-setuptools.patch

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
Requires:       btrfs-progs

%description
ButterManager is a BTRFS tool for managing snapshots, balancing filesystems
and upgrading the system safely.

%prep
%autosetup -p1

# Module name differs in Fedora
sed -e "s/sip/PyQt5-sip/" -i setup.py

%build
%py3_build


%install
%py3_install

install -Dm644 aur/%{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
install -Dm644 aur/%{name}.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/%{name}.svg

# Fix the desktop file
sed -e "s/^Exec=.*/Exec=%{name}/" \
    -e "/^Path=.*/d" \
    -e "s/Icon=.*/Icon=%{name}/" \
    -i %{buildroot}%{_datadir}/applications/%{name}.desktop


%files
%license LICENSE
%doc README.md doc
%{_bindir}/buttermanager
%{python3_sitelib}/buttermanager*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/%{name}.svg

%changelog
* Wed Jun 17 2020 Neal Gompa <ngompa13@gmail.com> - 1.9-1
- Initial package
